PERL = perl
MERGE_SCRIPT = $(PERL) $(EPAGES_CARTRIDGES)/DE_EPAGES/CodeGenerator/Scripts/mergeCvsBranch.pl -server -nostop
MERGE         = $(MERGE_SCRIPT) -merge
MERGE_SUBDIRS = $(MERGE_SCRIPT) -subdir -merge
MERGE_FILES = $(MAKE) -f dailyMerge.mak merge_files
CVS_EPAGES5 = RND/epages/epages5
CVS_ALLOS = $(CVS_EPAGES5)/AllOS
CVS_DE_EPAGES = $(CVS_ALLOS)/Cartridges/DE_EPAGES

default: merge_cartridges merge_other

merge_cartridges:
	$(MERGE_SUBDIRS) patch_6_15_2
	$(MERGE_SUBDIRS) patch_6_15
	
#   daily Merge Dev Branches
	$(MERGE) EPG-27746 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Content
	
	$(MERGE) EPG-26474 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Design
	$(MERGE) EPG-26474 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Styles
	$(MERGE) EPG-26474 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Presentation
	
	$(MERGE) EPG-27433 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Catalog
	$(MERGE) EPG-27433 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/ExternalContent
	$(MERGE) EPG-27433 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/JQuery
	$(MERGE) EPG-27433 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/MediaGallery
	$(MERGE) EPG-27433 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Order
	$(MERGE) EPG-27433 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Presentation
	$(MERGE) EPG-27433 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Product
	$(MERGE) EPG-27433 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/ProductComparison
	$(MERGE) EPG-27433 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/RemoteSearch
	$(MERGE) EPG-27433 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Shop
	$(MERGE) EPG-27433 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/ShopMailType
	$(MERGE) EPG-27433 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/ShopWizard
	
	$(MERGE) EPG-4207 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES

merge_other:
	$(MERGE_FILES) VERSION=patch_6_15_2
	$(MERGE_FILES) VERSION=patch_6_15

merge_files:
	$(MERGE) $(VERSION) -cvspath $(CVS_EPAGES5)/UNIX
	$(MERGE) $(VERSION) -cvspath $(CVS_EPAGES5)/WinNT
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Cartridges/Cartridges.xml
	$(MERGE_SUBDIRS) $(VERSION) -cvspath $(CVS_ALLOS)/Cartridges/CPAN
	$(MERGE_SUBDIRS) $(VERSION) -cvspath $(CVS_ALLOS)/Cartridges/Training
	$(MERGE_SUBDIRS) $(VERSION) -cvspath $(CVS_ALLOS)/Cartridges/RND_EPAGES
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Doc
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Epages6BinaryUpgrade
#	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/HelpSources
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Languages
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Patch
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/QA
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/RegressionTest
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Scheduler
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Shared
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Update
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/WebServiceExamples
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Sybase
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/FlashSources

# when you get the error
#   "cvs checkout: cannot open CVS/Entries for reading: No such file or directory"
# tag removed files:
#   cvs rtag -F -a -r B_patch_6_0_3 M_patch_6_0_3 RND/epages/epages5/UNIX
